[Version]
Signature            = "$CHICAGO$"
DEVTYPE_UIU_INI_FILE = 1
INI_ORDER            = 2

[UIUSetupCfg]
COMMAND_LINE = "-VNET=v3.5+ -SM=%SA3AppExe%,1801 -INI=SA3.ini, SA3"
FriendlyName = %SA3DisplayName%

[FileCfg]
Setup64FileName = x64\Setup64.exe
NET3FileName64  = x64\dotnetfx3_x64.exe

[TASKS.NTx86]
AddReg	     = AddRegConfig
DelReg       = DelRegAppSettings
CopyFiles    = CopyFilesApp, CopyFilesUIU32
DelFiles     = DelAppFiles
CabFile      = LangCabFile, AppCabFile32, CplCabFile
RegisterDLLs = RegisterAPI

[TASKS.NTamd64]
AddReg	     = AddRegConfig
DelReg       = DelRegAppSettings
CopyFiles    = CopyFilesApp, CopyFilesUIU64
DelFiles     = DelAppFiles
CabFile      = LangCabFile, AppCabFile64, CplCabFile
RegisterDLLs = RegisterAPI

[DelRegAppSettings]
HKLM, Software\Microsoft\Windows\CurrentVersion\Run, SmartAudio
HKLM, %SA3SoftwReg%, RTV
HKCR, "Local Settings\Software\Microsoft\Windows\Shell\MuiCache",                  "%16422%\%SA3Path%\%SA3AppExe%"
HKCU, "Software\Classes\Local Settings\Software\Microsoft\Windows\Shell\MuiCache", "%16422%\%SA3Path%\%SA3AppExe%"
HKCU, "Software\Microsoft\Windows\ShellNoRoam\MUICache",                           "%16422%\%SA3Path%\%SA3AppExe%"  
HKU,  ".DEFAULT\Software\Microsoft\Windows\ShellNoRoam\MUICache",                  "%16422%\%SA3Path%\%SA3AppExe%"

[AddRegConfig]
HKLM, %SA3SoftwReg%, CplDirectory, , "%16422%\%SA3Path%"
HKLM, %SA3SoftwReg%, CplExeFile,   , "%16422%\%SA3Path%\%SA3AppExe%"
HKLM, SOFTWARE\Microsoft\Windows\CurrentVersion\Run,SmartAudio,,%16422%\%SA3Path%\%SA3LauncherExe% %SA3LauncherParams% /s %SA3AppParams%
HKLM, SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\%SA3AppExe%,     , ,"%16422%\%SA3Path%\%SA3AppExe%"
HKLM, SOFTWARE\Microsoft\Windows\CurrentVersion\App Paths\%SA3AppExe%, Path, ,"%16422%\%SA3Path%;%16422%\%SA3Path%\Microsoft.VC100.CRT"

[SourceDisksNames]
1 = "%SA3DisplayName% Installation Disk"

[SourceDisksFiles]
SADefaultSettings.xml            = 1,\SA3
setup.exe                        = 1
setup64.exe                      = 1,\x64

[DestinationDirs]
DefaultDestDir	  = 16422,%SA3Path%
CopyFilesApp	  = 16422,%SA3Path%
CopyFilesUIU32	  = 16422,%SA3Path%
CopyFilesUIU64	  = 16422,%SA3Path%

[CopyFilesApp]
SADefaultSettings.xml ,,,2

[CopyFilesUIU32]
setup.exe       ,,,2

[CopyFilesUIU64]
setup64.exe     ,,,2

[RegisterAPI]
16422, %SA3Path%, CxHDAudioAPI.dll, 1

[LangCabFile]
CABFILE	= SA3\SA3-Lang.cab, %16422%\%SA3Path%

[CplCabFile]
CABFILE	= SA3\SACpl.cab, %16422%\%SA3Path%

[AppCabFile32]
CABFILE	= SA3\SA3-32.cab, %16422%\%SA3Path%

[AppCabFile64]
CABFILE	= SA3\SA3-64.cab, %16422%\%SA3Path%

[Strings]
; Should be unique for each SA3 project
SA3DisplayName    = "Somic 7.1 Sound Effect Gaming Headset Application"
ProjectID         = "Somic-G941-G938"
SA3Path           = "Conexant\SA3\Somic-G941-G938"
SA3SoftwReg       = "Software\Conexant\SA3\Somic-G941-G938"
SA3LauncherParams = "/sa3 /nv:3.0+ /uid:Somic-G941-G938"

SA3AppParams      = "/dne /demo"
SA3LauncherExe    = "SACpl.exe"
SA3AppExe         = "SmartAudio3.exe"


